% April, 2010, www.april.org
%
% Document réalisé par l'April avec des logiciels libres. Vous êtes encouragés
% à utiliser, copier, diffuser et modifier ce document selon les termes d'au
% moins une des licences suivantes : licence Art libre [1] version 1.3 ou
% ultérieure, licence Creative Commons By Sa [2] version 2.0 ou ultérieure et
% licence GNU FDL [3] version 1.3 ou ultérieure.
%
% [1] http://artlibre.org
% [2] http://creativecommons.org/licenses/by-sa/2.0/fr/
% [3] http://www.gnu.org/licenses/fdl-1.3.html
%

%%%%%%%%%%%%%%%%%% Dépendances %%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{april}[2010/11/22 Classe April V1.0]

\LoadClass[a4paper,11pt,twosides]{scrartcl}
\RequirePackage[T1]{fontenc}
\RequirePackage[utf8]{inputenc}
%\RequirePackage{tikz}
\RequirePackage{lmodern}
\RequirePackage[vmargin=3cm]{geometry}
\RequirePackage{xcolor}
\RequirePackage{eurosym}
\RequirePackage{ifpdf}
\RequirePackage{graphicx}
\RequirePackage[breaklinks=true, colorlinks=False, unicode=True, pdfborder=0]{hyperref}
\RequirePackage[french]{babel}

%%%%%%%%%%%%%%% Style et macros utiles %%%%%%%%%%%%%%

\newcommand{\commentaire}[2]{\textcolor{magenta}{#1}\marginpar{\it\raggedleft\color{magenta}\textbf{Note :} #2}}

% Styles de forme
\newcommand{\info}[1]{\texttt{#1}}
\newcommand{\marque}[1]{\textsf{#1}}
\renewcommand{\citation}[1]{\emph{#1}}
\newcommand{\foreign}[1]{\textit{#1}}
\addtolength{\parskip}{0.5\baselineskip plus 5 pt }

% Changelog
\newenvironment{changelog}
{\begin{center}\begin{tabular}{l c c}}
{\end{tabular}\end{center}}

\newcommand{\revision}[4]{
Révision v#1 & #2 & par #3 \\
#4 & & \\
&&\\
}

% Crédits
\newcommand{\credits}{
\begin{center}
\@title	\\
Version construite le \today\ --- \reflectbox{\copyright} April	\\
2 place Sainte-Opportune --- 75001 Paris			\\
Site Web : \url{www.april.org}					\\
Courriel : \href{mailto:contact@april.org}{\info{contact@april.org}}
\end{center}
}

% Licence
\newcommand{\licence}{
\begin{center}
Document réalisé par l'April avec des logiciels libres. Vous êtes encouragés à
utiliser, copier, diffuser et modifier ce document selon les termes d'au moins
une des licences suivantes : licence Art
libre\footnote{\url{http://artlibre.org/}} version~1.3 ou ultérieure, licence
Creative
Commons~By~Sa\footnote{\url{http://creativecommons.org/licenses/by-sa/2.0/fr/}}
version~2.0 ou ultérieure et licence GNU
FDL\footnote{\url{http://www.gnu.org/licenses/fdl-1.3.html}} version~1.3 ou
ultérieure.
\end{center}
}

% Définition des couleurs April
\definecolor{orangeApril}{HTML}{EE5921}
\definecolor{bleuApril}{HTML}{005184}
\definecolor{bleuClairApril}{HTML}{CEE6F3}

% Items swoosh
\ifpdf
\renewcommand{\FrenchLabelItem}{\raisebox{1pt}{\includegraphics[height=06pt]{include/swoosh}}}
\fi

% % Exergue
% \newcommand{\blockcite}[2]{
% \tikzstyle{mybox} = [draw=bleuApril, fill=bleuClairApril, very thick, rectangle, rounded corners, inner sep=10pt, inner ysep=15pt]
% \tikzstyle{fancytitle} =[fill=bleuApril, text=white, rounded corners, left=10pt]
% \begin{center}
% \begin{tikzpicture}
% \node [mybox] (box) {\begin{minipage}{0.8\columnwidth}\raggedleft
% {#2}
% \end{minipage}};
% \node[fancytitle] at (box.south east) {#1};
% \end{tikzpicture}
% \end{center}}

%%%%%%%%%%%%%%%%% Frontmatter %%%%%%%%%%%%%%%%

\AtBeginDocument{
\hypersetup{
pdftitle={\@title},
pdfauthor=April,
pdfsubject={\@type},
pdfkeywords={\@keywords}}}

\def\@keywords{}
\newcommand{\keywords}[1]{\def\@keywords{#1}}

\def\@type{}
\newcommand{\type}[1]{\def\@type{#1}}

\renewcommand{\maketitle}{
\begin{titlepage}
\begin{center}
\ifpdf
\mbox{}
\vfill
\href{http://www.april.org}{\includegraphics[width=0.7\columnwidth]{include/logo}}
 
\vfill
\begin{minipage}{0.6\columnwidth}\centering
\Huge\sffamily\bfseries\color{bleuApril}
\@title
\vspace{-1ex}
\textcolor{black}{\rule{\columnwidth}{1pt}}

\huge
\@type

\end{minipage}

\vfill
\sffamily\bfseries
\@date

\vfill
\vfill
\Large\color{bleuApril}
Collection April --- \url{www.april.org}
\else
\Huge\sffamily\bfseries\@title

\huge\@type

\@date
\vspace{1ex}
\fi
\end{center}
\end{titlepage}
\clearpage
}
